package opc.ua.im.datatype;

import opc.ua.addressspace.datatype.NodeId;
import opc.ua.addressspace.nodeclasse.DataTypeNode;

public class SubscriptionDiagnosticsDataType extends DataTypeNode {
	
	private NodeId sessionId;
	private long subscriptionId;
	private byte priority;
	/** Duration */
	private long publishingInterval;
	private long maxKeepAliveCount;
	private long maxLifetimeCount;
	private long maxNotificationsPerPublish;
	private boolean publishingEnabled;
	private long modifyCount;
	private long enableCount;
	private long disableCount;
	private long republishRequestCount;
	private long republishMessageRequestCount;
	private long republishMessageCount;
	private long transferRequestCount;
	private long transferredToAltClientCount;
	private long transferredToSameClientCount;
	private long publishRequestCount;
	private long dataChangeNotificationsCount;
	private long eventNotificationsCount;
	private long notificationsCount;
	private long latePublishRequestCount;
	private long currentKeepAliveCount;
	private long currentLifetimeCount;
	private long unacknowledgedMessageCount;
	private long discardedMessageCount;
	private long monitoredItemCount;
	private long disabledMonitoredItemCount;
	private long monitoringQueueOverflowCount;
	private long nextSequenceNumber;
	private long eventQueueOverflowCount;
	
	
	public SubscriptionDiagnosticsDataType() {
		setBrowseName("SubscriptionDiagnosticsDataType");
	}
	
	public NodeId getSessionId() {
		return sessionId;
	}
	public void setSessionId(NodeId sessionId) {
		this.sessionId = sessionId;
	}
	public long getSubscriptionId() {
		return subscriptionId;
	}
	public void setSubscriptionId(long subscriptionId) {
		this.subscriptionId = subscriptionId;
	}
	public byte getPriority() {
		return priority;
	}
	public void setPriority(byte priority) {
		this.priority = priority;
	}
	public long getPublishingInterval() {
		return publishingInterval;
	}
	public void setPublishingInterval(long publishingInterval) {
		this.publishingInterval = publishingInterval;
	}
	public long getMaxKeepAliveCount() {
		return maxKeepAliveCount;
	}
	public void setMaxKeepAliveCount(long maxKeepAliveCount) {
		this.maxKeepAliveCount = maxKeepAliveCount;
	}
	public long getMaxLifetimeCount() {
		return maxLifetimeCount;
	}
	public void setMaxLifetimeCount(long maxLifetimeCount) {
		this.maxLifetimeCount = maxLifetimeCount;
	}
	public long getMaxNotificationsPerPublish() {
		return maxNotificationsPerPublish;
	}
	public void setMaxNotificationsPerPublish(long maxNotificationsPerPublish) {
		this.maxNotificationsPerPublish = maxNotificationsPerPublish;
	}
	public boolean isPublishingEnabled() {
		return publishingEnabled;
	}
	public void setPublishingEnabled(boolean publishingEnabled) {
		this.publishingEnabled = publishingEnabled;
	}
	public long getModifyCount() {
		return modifyCount;
	}
	public void setModifyCount(long modifyCount) {
		this.modifyCount = modifyCount;
	}
	public long getEnableCount() {
		return enableCount;
	}
	public void setEnableCount(long enableCount) {
		this.enableCount = enableCount;
	}
	public long getDisableCount() {
		return disableCount;
	}
	public void setDisableCount(long disableCount) {
		this.disableCount = disableCount;
	}
	public long getRepublishRequestCount() {
		return republishRequestCount;
	}
	public void setRepublishRequestCount(long republishRequestCount) {
		this.republishRequestCount = republishRequestCount;
	}
	public long getRepublishMessageRequestCount() {
		return republishMessageRequestCount;
	}
	public void setRepublishMessageRequestCount(long republishMessageRequestCount) {
		this.republishMessageRequestCount = republishMessageRequestCount;
	}
	public long getRepublishMessageCount() {
		return republishMessageCount;
	}
	public void setRepublishMessageCount(long republishMessageCount) {
		this.republishMessageCount = republishMessageCount;
	}
	public long getTransferRequestCount() {
		return transferRequestCount;
	}
	public void setTransferRequestCount(long transferRequestCount) {
		this.transferRequestCount = transferRequestCount;
	}
	public long getTransferredToAltClientCount() {
		return transferredToAltClientCount;
	}
	public void setTransferredToAltClientCount(long transferredToAltClientCount) {
		this.transferredToAltClientCount = transferredToAltClientCount;
	}
	public long getTransferredToSameClientCount() {
		return transferredToSameClientCount;
	}
	public void setTransferredToSameClientCount(long transferredToSameClientCount) {
		this.transferredToSameClientCount = transferredToSameClientCount;
	}
	public long getPublishRequestCount() {
		return publishRequestCount;
	}
	public void setPublishRequestCount(long publishRequestCount) {
		this.publishRequestCount = publishRequestCount;
	}
	public long getDataChangeNotificationsCount() {
		return dataChangeNotificationsCount;
	}
	public void setDataChangeNotificationsCount(long dataChangeNotificationsCount) {
		this.dataChangeNotificationsCount = dataChangeNotificationsCount;
	}
	public long getEventNotificationsCount() {
		return eventNotificationsCount;
	}
	public void setEventNotificationsCount(long eventNotificationsCount) {
		this.eventNotificationsCount = eventNotificationsCount;
	}
	public long getNotificationsCount() {
		return notificationsCount;
	}
	public void setNotificationsCount(long notificationsCount) {
		this.notificationsCount = notificationsCount;
	}
	public long getLatePublishRequestCount() {
		return latePublishRequestCount;
	}
	public void setLatePublishRequestCount(long latePublishRequestCount) {
		this.latePublishRequestCount = latePublishRequestCount;
	}
	public long getCurrentKeepAliveCount() {
		return currentKeepAliveCount;
	}
	public void setCurrentKeepAliveCount(long currentKeepAliveCount) {
		this.currentKeepAliveCount = currentKeepAliveCount;
	}
	public long getCurrentLifetimeCount() {
		return currentLifetimeCount;
	}
	public void setCurrentLifetimeCount(long currentLifetimeCount) {
		this.currentLifetimeCount = currentLifetimeCount;
	}
	public long getUnacknowledgedMessageCount() {
		return unacknowledgedMessageCount;
	}
	public void setUnacknowledgedMessageCount(long unacknowledgedMessageCount) {
		this.unacknowledgedMessageCount = unacknowledgedMessageCount;
	}
	public long getDiscardedMessageCount() {
		return discardedMessageCount;
	}
	public void setDiscardedMessageCount(long discardedMessageCount) {
		this.discardedMessageCount = discardedMessageCount;
	}
	public long getMonitoredItemCount() {
		return monitoredItemCount;
	}
	public void setMonitoredItemCount(long monitoredItemCount) {
		this.monitoredItemCount = monitoredItemCount;
	}
	public long getDisabledMonitoredItemCount() {
		return disabledMonitoredItemCount;
	}
	public void setDisabledMonitoredItemCount(long disabledMonitoredItemCount) {
		this.disabledMonitoredItemCount = disabledMonitoredItemCount;
	}
	public long getMonitoringQueueOverflowCount() {
		return monitoringQueueOverflowCount;
	}
	public void setMonitoringQueueOverflowCount(long monitoringQueueOverflowCount) {
		this.monitoringQueueOverflowCount = monitoringQueueOverflowCount;
	}
	public long getNextSequenceNumber() {
		return nextSequenceNumber;
	}
	public void setNextSequenceNumber(long nextSequenceNumber) {
		this.nextSequenceNumber = nextSequenceNumber;
	}
	public long getEventQueueOverflowCount() {
		return eventQueueOverflowCount;
	}
	public void setEventQueueOverflowCount(long eventQueueOverflowCount) {
		this.eventQueueOverflowCount = eventQueueOverflowCount;
	}
}
